## org.apache.hadoop.security
Class SaslRpcServer.SaslDigestCallbackHandler

    java.lang.Object
      org.apache.hadoop.security.SaslRpcServer.SaslDigestCallbackHandler

All Implemented Interfaces:
  CallbackHandler

Enclosing class:
  SaslRpcServer

    public static class SaslRpcServer.SaslDigestCallbackHandler

extends Object
implements CallbackHandler

CallbackHandler for SASL DIGEST-MD5 mechanism

Constructor Summary
`SaslRpcServer.SaslDigestCallbackHandler(SecretManager<TokenIdentifier> secretManager, Server.Connection connection)`

Method Summary
`void` `handle(Callback[] callbacks)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaslRpcServer.SaslDigestCallbackHandler

    public SaslRpcServer.SaslDigestCallbackHandler(SecretManager<TokenIdentifier> secretManager,
                                                   Server.Connection connection)

Method Detail

### handle

    public void handle(Callback[] callbacks)
                throws SecretManager.InvalidToken,
                       UnsupportedCallbackException

  Specified by:
    `handle` in interface `CallbackHandler`
  Throws:
    `SecretManager.InvalidToken`
    `UnsupportedCallbackException`

Copyright © 2009 The Apache Software Foundation